Bug 58159

Summary: dump-as-markup conversion: editing/pasteboard/paste-xml.xhtml
Product: WebKit Reporter: Ryosuke Niwa <rniwa>
Component: HTML EditingAssignee: Nobody <webkit-unassigned>
Status: RESOLVED FIXED    
Severity: Enhancement CC: webkit.review.bot
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: All   
OS: All   
Bug Depends on:    
Bug Blocks: 58158    
Attachments:
Description Flags
Patch
none
Converted to a text dump.
none
Patch
none
Patch none

Description Ryosuke Niwa 2011-04-08 13:30:52 PDT
To further investigate the bug 58158, we should make editing/pasteboard/paste-xml.xhtml a dump-as-markup test so the output can easily be understood.
Comment 1 Wyatt Carss 2011-06-10 14:17:52 PDT
Created attachment 96784 [details]
Patch
Comment 2 Ryosuke Niwa 2011-06-10 14:21:27 PDT
Comment on attachment 96784 [details]
Patch

We shouldn't be dumping the whole page for this test.  I bet you can just call runDumpAsTextEditingTest instead of runEditingTest.
Comment 3 Wyatt Carss 2011-06-10 15:19:56 PDT
Created attachment 96802 [details]
Converted to a text dump.
Comment 4 Ryosuke Niwa 2011-06-10 15:30:22 PDT
Comment on attachment 96802 [details]
Converted to a text dump.

View in context: https://bugs.webkit.org/attachment.cgi?id=96802&action=review

Are you speculatively changing expected.txt for all platforms?  I don't think that'll work.  I suggest you delete all platform-specific results and add platform-independent result in editing/pasteboard/paste-xml.xhtml.  You can then add platform-specific results for each port on which the test fails.

> LayoutTests/platform/chromium/test_expectations.txt:3222
> -BUGWK58158 : editing/pasteboard/paste-xml.xhtml = PASS TEXT
> +BUGWK58158 : editing/pasteboard/paste-xml.xhtml = PASS

You should remove this entry if the test really passes.
Comment 5 Wyatt Carss 2011-06-10 16:06:13 PDT
Created attachment 96817 [details]
Patch
Comment 6 Wyatt Carss 2011-06-10 16:10:41 PDT
Created attachment 96819 [details]
Patch
Comment 7 Ryosuke Niwa 2011-06-10 16:12:22 PDT
Comment on attachment 96819 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=96819&action=review

> LayoutTests/platform/chromium-mac/editing/pasteboard/paste-xml-expected.txt:18
> +foo barbar baz

I would have loved to add a test description here but it's fine as is.
Comment 8 Ryosuke Niwa 2011-06-13 14:04:33 PDT
Who is landing this patch?
Comment 9 Wyatt Carss 2011-06-13 15:14:58 PDT
Comment on attachment 96819 [details]
Patch

Requesting commit
Comment 10 WebKit Review Bot 2011-06-13 15:37:29 PDT
Comment on attachment 96819 [details]
Patch

Clearing flags on attachment: 96819

Committed r88717: <http://trac.webkit.org/changeset/88717>
Comment 11 WebKit Review Bot 2011-06-13 15:37:34 PDT
All reviewed patches have been landed.  Closing bug.